<?php
require_once("../config/conexion.php");
require_once("../modelos/Estado.php");
$estado = new Estado();

switch ($_GET["op"]) {
    case "combo":
        $datos = $estado->get_estado();
        if (is_array($datos) && count($datos) > 0) {
            $html = "";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['Ccod_est'] . "'>" . $row['Edescrip'] . "</option>";
            }
            echo $html;
        }
        break;

    case "listar":
        $datos = $estado->get_estado();
        $data = [];
        foreach ($datos as $row) {
            $sub_array = [];
            $sub_array[] = $row["Ccod_est"];
            $sub_array[] = $row["Edescrip"];
            if ($row["Est_esta"] == '1') {
                $sub_array[] = '<span class="label label-pill label-success">Activo</span>';
            } else {
                $sub_array[] = '<span class="label label-pill label-default">Inactivo</span>';
            }
            $sub_array[] = '<button type="button" onClick="editar(' . $row["Ccod_estID"] . ');" id="' . $row["Ccod_estID"] . '" class="btn btn-info btn-sm"><i class="fa fa-cogs"></i></button>';
            $data[] = $sub_array;
        }
        $results = [
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        ];
        echo json_encode($results);
        break;

    case "guardaryeditar":
        if (empty($_POST["Ccod_estID"])) {
            $estado->insert_estado($_POST["Ccod_est"], $_POST["Edescrip"]);
        } else {
            $estado->update_estado($_POST["Ccod_estID"], $_POST["Ccod_est"], $_POST["Edescrip"], $_POST["Est_esta"]);
        }
        break;

    case "mostrar":
        if (isset($_POST["Ccod_estID"])) {
            $datos = $estado->get_estado_id($_POST["Ccod_estID"]);
            if (is_array($datos) && count($datos) > 0) {
                $output["Ccod_estID"] = $datos["Ccod_estID"];
                $output["Ccod_est"] = $datos["Ccod_est"];
                $output["Edescrip"] = $datos["Edescrip"];
                $output["Est_esta"] = $datos["Est_esta"];
                echo json_encode($output);
            }
        }
        break;
}
?>
